<!--
-- Category.vue, emilien <emilien@emilien-pc>, 2021
-->

<template>
	<div class="ui-category grid center-align gap-1">
		<div class="ui-icon bg gray-800">
			<img :src="logo" alt="logo" />
		</div>
		<div>
			<h6>{{ title }}</h6>
			<p class="lead sm">
				{{ desc }}
			</p>
		</div>
	</div>
</template>

<script>
export default {
	name: 'Category',
	props: {
		logo: String,
		title: String,
		desc: String,
	},
};
</script>

<style scoped lang="scss">

.ui-category {
	grid-template-columns: auto 1fr;
}

.ui-icon {
	$size-icon: 3rem;
	width: $size-icon;
	height: $size-icon;
}

</style>

